"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.memo_simple = void 0;
function memo_simple(ttl, func) {
    let value;
    let expires;
    return function memoized() {
        const now = Date.now();
        if (value == null || expires < now) {
            value = func();
            expires = now + ttl;
        }
        return value;
    };
}
exports.memo_simple = memo_simple;
//# sourceMappingURL=simple.js.map